<?xml version="1.0" encoding="gb2312"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"> 
	<xsl:output omit-xml-declaration="yes"/>
	<xsl:template match="/BoardList">
	<BoardList>
	<xsl:call-template name="board"/>
	</BoardList>
	</xsl:template>
	<xsl:template name="board">
		<xsl:for-each select="board">
			<board>
			<xsl:for-each select="@*">
			<xsl:attribute name="{name()}"><xsl:value-of select="."/></xsl:attribute>
			</xsl:for-each>
			</board>
			<xsl:if test="board"><xsl:call-template name="board"/></xsl:if>
		</xsl:for-each>
	</xsl:template>
	
</xsl:stylesheet>